Bug 977751 - 'oo-admin-broker-cache -c' can't clean the removed cartridge repository.
'oo-admin-broker-cache -c' can't clean the removed cartridge repository.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Kubernetes (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 05:17 EDT by nsun
Modified: 2015-05-14 20:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nsun 2013-06-25 05:17:12 EDT
Description of problem:
 Run command 'oo-admin-broker-cache -c' after remove one cartridge on node, It will be can't clean cartridge repository.

Version-Release number of selected component (if applicable):
devenv_3409  ----devenv_3409

How reproducible:
always

Steps to reproduce:
1. ssh login all nodes and remove php cartridge
# yum remove openshift-origin-cartridge-php -y
2. ssh login broker to clean cache
# oo-admin-broker-cache -c
3. Check if php cartridge still available
# rhc cartridge list

Actual resutls:
still found php cartridge

Expected results:
No php cartridge found

Additional info:
After remove php cartridge, we must be remove '/var/lib/openshift/.cartridge_repository/redhat-php' manually, then on broker clean up cache, otherwise cartridge still available.
Comment 1 Ravi Sankar 2013-09-12 19:06:06 EDT
No fix needed.
Before step-3, need to restart mcollective service for the new changes to be reflected.
# service mcollective restart

Verify and close the bug as invalid.
Comment 2 nsun 2013-09-12 23:07:14 EDT
On devenv_3780 :
   After php cartridge removed and mcollective service restarted,  php cartridge will unavailable, 'rhc cartridge list' also correct and can't found php cart. 
   But the directory '/var/lib/openshift/.cartridge_repository/redhat-php' still existed, we must remove it manually or it was insignificant ? 

On OSE Puddle [1.2/2013-09-11.1] :
   After php cartridge removed and mcollective service restarted, php cartridge still available.
Comment 3 Dan McPherson 2013-11-11 14:26:50 EST
Ravi: Any update here?
Comment 4 Ravi Sankar 2013-11-11 18:56:42 EST
Discussed with mrunal, 'yum remove' will not remove the cartridge from dir /var/lib/openshift/.cartridge_repository/ and this should not be the responsibility of yum. The new carts/cart versions are copied by mcollective and the current use case on prod is to show old as well as new carts. Removing the stale cart dir can not be part of 'oo-admin-broker-cache', it's main purpose is to clear the current cache for broker and console.

To test removal of cart, as part of step-1: you need to do
- yum remove openshift-origin-cartridge-php -y
- rm -rf /var/lib/openshift/.cartridge_repository/redhat-php
Comment 5 nsun 2013-11-11 21:27:52 EST
Ok, If so, this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.